From 200ecdeb0e9771f4d0b3ec8a5d7b11a5562a8563 Mon Sep 17 00:00:00 2001
From: Jelte Fennema-Nio <jelte.fennema@microsoft.com>
Date: Fri, 3 Nov 2023 10:09:52 +0100
Subject: [PATCH v1] Mark search_path as GUC_REPORT

Connection poolers use GUC_REPORT to track session level SET when using
transaction pooling. search_path is one of the biggest foot guns. Having
an unexpected search_path often breaks running of queries. And many
applications set a search_path at the session level, pg_dump being one
of those.
---
 src/backend/utils/misc/guc_tables.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/misc/guc_tables.c b/src/backend/utils/misc/guc_tables.c
index 7605eff9b9d..52e70da6638 100644
--- a/src/backend/utils/misc/guc_tables.c
+++ b/src/backend/utils/misc/guc_tables.c
@@ -4135,7 +4135,7 @@ struct config_string ConfigureNamesString[] =
 		{"search_path", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the schema search order for names that are not schema-qualified."),
 			NULL,
-			GUC_LIST_INPUT | GUC_LIST_QUOTE | GUC_EXPLAIN
+			GUC_LIST_INPUT | GUC_LIST_QUOTE | GUC_EXPLAIN | GUC_REPORT
 		},
 		&namespace_search_path,
 		"\"$user\", public",

base-commit: 39c959ef25bd9cdd966ee024ab14f8f4214bb276
-- 
2.34.1

